RDKit: RDKit::CIPLabeler::Node Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
RDKit::CIPLabeler::Node Class Reference

`#include <Node.h>`

## Public Member Functions
| Node ()=delete
| Node (const Node &)=delete
Node & | operator= (const Node &)=delete
| Node (Digraph *g, std::vector< char > &&visit, Atom *atom, boost::rational< int > &&frac, int dist, int flags)
Digraph * | getDigraph () const
Atom * | getAtom () const
unsigned int | getAtomIdx () const
int | getDistance () const
boost::rational< int > | getAtomicNumFraction () const
int | getAtomicNum () const
unsigned | getMassNum () const
double | getAtomicMass () const
Descriptor | getAux () const
bool | isSet (int mask) const
bool | isDuplicate () const
bool | isDuplicateOrH () const
bool | isTerminal () const
bool | isExpanded () const
bool | isVisited (int idx) const
Node * | newChild (int idx, Atom *atom) const
Node * | newBondDuplicateChild (int idx, Atom *atom) const
Node * | newRingDuplicateChild (int idx, Atom *atom) const
Node * | newImplicitHydrogenChild () const
void | add (Edge *e)
void | setAux (Descriptor desc)
const std::vector< Edge * > & | getEdges () const
std::vector< Edge * > | getEdges (Atom *end) const
std::vector< Edge * > | getNonTerminalOutEdges () const

## Static Public Attributes
static const int | EXPANDED = 0x1
static const int | RING_DUPLICATE = 0x2
static const int | BOND_DUPLICATE = 0x4
static const int | DUPLICATE = RING_DUPLICATE | BOND_DUPLICATE
static const int | IMPL_HYDROGEN = 0x8
static const int | DUPLICATE_OR_H

## Detailed Description

Definition at line 27 of file Node.h.

## Constructor & Destructor Documentation

## ◆ Node() [1/3]

RDKit::CIPLabeler::Node::Node | ( |  | ) |
| delete

Referenced by getNonTerminalOutEdges(), newBondDuplicateChild(), newChild(), newImplicitHydrogenChild(), newRingDuplicateChild(), Node(), and operator=().

## ◆ Node() [2/3]

RDKit::CIPLabeler::Node::Node | ( | const Node & |  | ) |
| delete

References Node().

## ◆ Node() [3/3]

RDKit::CIPLabeler::Node::Node | ( | Digraph * | g,
|  | std::vector< char > && | visit,
|  | Atom * | atom,
|  | boost::rational< int > && | frac,
|  | int | dist,
|  | int | flags )

## Member Function Documentation

## ◆ add()

void RDKit::CIPLabeler::Node::add | ( | Edge * | e | ) |

## ◆ getAtom()

Atom * RDKit::CIPLabeler::Node::getAtom | ( |  | ) | const

## ◆ getAtomicMass()

double RDKit::CIPLabeler::Node::getAtomicMass | ( |  | ) | const

## ◆ getAtomicNum()

int RDKit::CIPLabeler::Node::getAtomicNum | ( |  | ) | const

## ◆ getAtomicNumFraction()

boost::rational< int > RDKit::CIPLabeler::Node::getAtomicNumFraction | ( |  | ) | const

## ◆ getAtomIdx()

unsigned int RDKit::CIPLabeler::Node::getAtomIdx | ( |  | ) | const

## ◆ getAux()

Descriptor RDKit::CIPLabeler::Node::getAux | ( |  | ) | const

## ◆ getDigraph()

Digraph * RDKit::CIPLabeler::Node::getDigraph | ( |  | ) | const

## ◆ getDistance()

int RDKit::CIPLabeler::Node::getDistance | ( |  | ) | const

## ◆ getEdges() [1/2]

const std::vector< Edge * > & RDKit::CIPLabeler::Node::getEdges | ( |  | ) | const

## ◆ getEdges() [2/2]

std::vector< Edge * > RDKit::CIPLabeler::Node::getEdges | ( | Atom * | end | ) | const

## ◆ getMassNum()

unsigned RDKit::CIPLabeler::Node::getMassNum | ( |  | ) | const

## ◆ getNonTerminalOutEdges()

std::vector< Edge * > RDKit::CIPLabeler::Node::getNonTerminalOutEdges | ( |  | ) | const

References Node(), and RDKit::CIPLabeler::NONE.

## ◆ isDuplicate()

bool RDKit::CIPLabeler::Node::isDuplicate | ( |  | ) | const

## ◆ isDuplicateOrH()

bool RDKit::CIPLabeler::Node::isDuplicateOrH | ( |  | ) | const

## ◆ isExpanded()

bool RDKit::CIPLabeler::Node::isExpanded | ( |  | ) | const

## ◆ isSet()

bool RDKit::CIPLabeler::Node::isSet | ( | int | mask | ) | const

## ◆ isTerminal()

bool RDKit::CIPLabeler::Node::isTerminal | ( |  | ) | const

## ◆ isVisited()

bool RDKit::CIPLabeler::Node::isVisited | ( | int | idx | ) | const

## ◆ newBondDuplicateChild()

Node * RDKit::CIPLabeler::Node::newBondDuplicateChild | ( | int | idx,
|  | Atom * | atom ) const

References Node().

## ◆ newChild()

Node * RDKit::CIPLabeler::Node::newChild | ( | int | idx,
|  | Atom * | atom ) const

References Node().

## ◆ newImplicitHydrogenChild()

Node * RDKit::CIPLabeler::Node::newImplicitHydrogenChild | ( |  | ) | const

References Node().

## ◆ newRingDuplicateChild()

Node * RDKit::CIPLabeler::Node::newRingDuplicateChild | ( | int | idx,
|  | Atom * | atom ) const

References Node().

## ◆ operator=()

Node & RDKit::CIPLabeler::Node::operator= | ( | const Node & |  | ) |
| delete

References Node().

## ◆ setAux()

void RDKit::CIPLabeler::Node::setAux | ( | Descriptor | desc | ) |

## Member Data Documentation

## ◆ BOND_DUPLICATE

const int RDKit::CIPLabeler::Node::BOND_DUPLICATE = 0x4
| static

Flag indicates whether the node was duplicated at a bond with order > 1.

Definition at line 44 of file Node.h.

## ◆ DUPLICATE

const int RDKit::CIPLabeler::Node::DUPLICATE = RING_DUPLICATE | BOND_DUPLICATE
| static

Mask to check if a node is duplicated.

Definition at line 50 of file Node.h.

## ◆ DUPLICATE_OR_H

const int RDKit::CIPLabeler::Node::DUPLICATE_OR_H
| static

Initial value:
=
RING_DUPLICATE | BOND_DUPLICATE | IMPL_HYDROGEN
RDKit::CIPLabeler::Node::BOND_DUPLICATE
static const int BOND_DUPLICATE
Definition Node.h:44
RDKit::CIPLabeler::Node::RING_DUPLICATE
static const int RING_DUPLICATE
Definition Node.h:38
RDKit::CIPLabeler::Node::IMPL_HYDROGEN
static const int IMPL_HYDROGEN
Definition Node.h:56

Mask to check if a node is duplicated or created for an implicit H (not a primary node).

Definition at line 62 of file Node.h.

## ◆ EXPANDED

const int RDKit::CIPLabeler::Node::EXPANDED = 0x1
| static

Flag indicates whether the node has been expanded.

Definition at line 32 of file Node.h.

## ◆ IMPL_HYDROGEN

const int RDKit::CIPLabeler::Node::IMPL_HYDROGEN = 0x8
| static

Node was created for an implicit hydrogen, the 'atom' value will be null.

Definition at line 56 of file Node.h.

## ◆ RING_DUPLICATE

const int RDKit::CIPLabeler::Node::RING_DUPLICATE = 0x2
| static

Flag indicates whether the node was duplicated at a ring closure.

Definition at line 38 of file Node.h.

The documentation for this class was generated from the following file:

- Node.h